Package org.kapott.hbci.GV_Result

## Class GVRTANMediaList.TANMediaInfo

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRTANMediaList.TANMediaInfo

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  GVRTANMediaList

    public static class GVRTANMediaList.TANMediaInfo
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`java.util.Date` `activatedOn`
`java.lang.String` `cardNumber`
`java.lang.String` `cardSeqNumber`
`java.lang.Integer` `cardType`
`java.lang.Integer` `freeTans`
`java.util.Date` `lastUse`
`java.lang.String` `mediaCategory`
`java.lang.String` `mediaName`
`java.lang.String` `mobileNumber`
`java.lang.String` `mobileNumberSecure`
`java.lang.String` `status`
`java.lang.String` `tanListNumber`
`java.util.Date` `validFrom`
`java.util.Date` `validTo`

### Constructor Summary

Constructors
`TANMediaInfo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediaCategory

    public java.lang.String mediaCategory

#### status

    public java.lang.String status

#### cardNumber

    public java.lang.String cardNumber

#### cardSeqNumber

    public java.lang.String cardSeqNumber

#### cardType

    public java.lang.Integer cardType

#### validFrom

    public java.util.Date validFrom

#### validTo

    public java.util.Date validTo

#### tanListNumber

    public java.lang.String tanListNumber

#### mediaName

    public java.lang.String mediaName

#### mobileNumber

    public java.lang.String mobileNumber

#### mobileNumberSecure

    public java.lang.String mobileNumberSecure

#### freeTans

    public java.lang.Integer freeTans

#### lastUse

    public java.util.Date lastUse

#### activatedOn

    public java.util.Date activatedOn

### Constructor Detail

#### TANMediaInfo

    public TANMediaInfo()